<?

namespace Diamond\Repositories;

/**
 * Description of MailingTemplate
 *
 * @author Admin
 */
class MailingTemplate extends \Core\Repository\PropelQueryAbstract implements \Core\Repository\CrudInterface, \Core\Repository\DropDownInterface
{
    public function buildEntity()
    {
        return new \Diamond\Infrastructure\Models\MailingTemplate\MailingTemplate;
    }

    public function buildQuery()
    {
        return \Diamond\Infrastructure\Models\MailingTemplate\MailingTemplateQuery::create();
    }
    public function getDropdownList():array
    {
        return $this->buildQuery()
		->orderByName()
		->find()
		->toKeyValue('id','name');
    }

}